# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit c772a6e5719aa24d10d664262383b76a36e3458b
    parent 4682cc9596a5c82325882bdf1313728de95467d2
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Sat,  5 Jan 2013 20:30:25 +0100

    Applying the changes to the docs; by Peter Hartman.

    Diffstat:
    MMakefile | 3+--
    MREADME | 8+++-----
    Mst.c | 2+-

    3 files changed, 5 insertions(+), 8 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -48,8 +48,7 @@ install: all
     	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
     	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
     	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
    -	@echo If things do not seem to work, be sure that there is no \
    -		floating st terminfo in the .terminfo directory in your home dir.
    +	@echo Please see the README file regarding the terminfo entry of st.
     	@tic -s st.info

     uninstall:
    diff --git a/README b/README
    @@ -21,16 +21,14 @@ necessary as root):

     Running st
     ----------
    -If you don't install st, define TNAME to "xterm" in config.h or make sure to at
    -least compile st terminfo entry with the following command:
    +If you did not install st with make clean install, you must compile
    +the st terminfo entry with the following command:

         tic -s st.info

    -It should print the path of the compiled terminfo entry. You can
    -safely remove it if you don't plan to use st anymore.
     See the man page for additional details.

     Credits
     -------
    -Based on  Aurélien APTEL <aurelien dot aptel at gmail dot com> bt source code.
    +Based on Aurélien APTEL <aurelien dot aptel at gmail dot com> bt source code.

    diff --git a/st.c b/st.c
    @@ -436,7 +436,7 @@ typedef struct {
      * the current length of used elements.
      */

    -static Fontcache frc[2048];
    +static Fontcache frc[2];
     static int frccur = -1, frclen = 0;

     ssize_t